Build React Native App (4) - Redux, Jest, and NativeBase

Image
From this blog, typescript feature will be added. There are couple of ways to implement static type checking like; flow from facebook, PropTypes and Typescript. Typescript is well integrated with Visual Studio Code and supports better linter, error messages, and intellisense. Reference site Github Sample Ex4 Currnet version D:\GitRepo\reactnative>npm --version 6.3.0 D:\GitRepo\reactnative>react-native --version react-native-cli: 2.0.1 react-native: n/a - not inside a React Native project directory D:\GitRepo\reactnative>yarn --version 1.9.4 Creating React Native App $ react-native init ex4 If you want to specify the version, add "--version 0.57.3" at the end. Add NativeBase to React Native $ npm install native-base --save ... + native-base@2.8.1 added 71 packages from 42 contributors, removed 50 packages, updated 829 packages and audited 34989 packages in 138.542s found 0 vulnerabilities $ $ yarn yarn install v1.9.4 warning package-lock.json found. You

How to add agents to DC/OS 1.9

To test the tweeter apps from DC/OS tutorial, we are going to add 4 more agents into our system; 172.16.110.33 to 172.16.110.36

General steps to add new node will be

  1. Adding new nodes to genconf/config.yaml from the Bootstrap node
  2. Running prerequistics from the Bootstrap node
  3. Running preflight from the Bootstrap node
  4. Establish ssh between the Bootstrap nodes to new nodes; genereate key and copy the key to agents
  5. Install agent as described from DCOS Adding Nodes
  6. Update detect_ip script from installation folder
  7. Running postflight from the Bootstrap node

Reference

DCOS Backup from Bootstrap DOCS Adding Nodes Stackoverflow FAQ

Archive installation folder

Go to the bootstrap node which is 172.16.110.20 for me and archive DCOS install files

[dcosadmin@dcotest01 ~]$ cd genconf/serve
[dcosadmin@dcotest01 serve]$ sudo tar cf dcos-install.tar *
[dcosadmin@dcotest01 serve]$ ll
total 613600
drwxrwxrwx.  2 root root       131 Apr 20 16:37 bootstrap
-rw-rw-rw-.  1 root root        40 Apr 21 09:00 bootstrap.latest
-rw-rw-rw-.  1 root root     11962 Apr 21 09:00 cluster-package-info.json
-rw-rw-rw-.  1 root root     18921 Apr 21 09:00 dcos_install.sh
-rw-r--r--.  1 root root 628285440 Apr 24 16:18 dcos-install.tar
drwxrwxrwx. 67 root root      4096 Apr 20 16:37 packages
[dcosadmin@dcotest01 serve]$
[dcosadmin@dcotest01 serve]$ mv dcos-install.tar ~

Adding nodes

  1. Install all prerequistics which created from DC/OS installation document

  2. Copy installation file from the Bootstrap to 172.16.110.34, 35, 36 and 37

[dcosadmin@dcotest01 ~]$ scp dcos-install.tar 172.16.110.33:~/dcos-install.tar
The authenticity of host '172.16.110.33 (172.16.110.33)' can't be established.
ECDSA key fingerprint is dc:75:bb:70:96:f7:76:45:0f:13:6b:92:37:3b:f5:3e.
Are you sure you want to continue connecting (yes/no)? yes
Warning: Permanently added '172.16.110.33' (ECDSA) to the list of known hosts.
dcosadmin@172.16.110.33's password:
dcos-install.tar                                                  100%  599MB 149.8MB/s   00:04

[dcosadmin@dcotest01 ~]$
[dcosadmin@dcotest01 ~]$ scp dcos-install.tar 172.16.110.34:~/dcos-install.tar
The authenticity of host '172.16.110.34 (172.16.110.34)' can't be established.
ECDSA key fingerprint is dc:75:bb:70:96:f7:76:45:0f:13:6b:92:37:3b:f5:3e.
Are you sure you want to continue connecting (yes/no)? yes
Warning: Permanently added '172.16.110.34' (ECDSA) to the list of known hosts.
dcosadmin@172.16.110.34's password:
dcos-install.tar                                                  100%  599MB 199.7MB/s   00:03
[dcosadmin@dcotest01 ~]$ scp dcos-install.tar 172.16.110.35:~/dcos-install.tar
The authenticity of host '172.16.110.35 (172.16.110.35)' can't be established.
ECDSA key fingerprint is dc:75:bb:70:96:f7:76:45:0f:13:6b:92:37:3b:f5:3e.
Are you sure you want to continue connecting (yes/no)? yes
Warning: Permanently added '172.16.110.35' (ECDSA) to the list of known hosts.
dcosadmin@172.16.110.35's password:
dcos-install.tar                                                  100%  599MB 149.8MB/s   00:04
[dcosadmin@dcotest01 ~]$ scp dcos-install.tar 172.16.110.36:~/dcos-install.tar
The authenticity of host '172.16.110.36 (172.16.110.36)' can't be established.
ECDSA key fingerprint is dc:75:bb:70:96:f7:76:45:0f:13:6b:92:37:3b:f5:3e.
Are you sure you want to continue connecting (yes/no)? yes
Warning: Permanently added '172.16.110.36' (ECDSA) to the list of known hosts.
dcosadmin@172.16.110.36's password:
Permission denied, please try again.
dcosadmin@172.16.110.36's password:
dcos-install.tar                                                  100%  599MB 149.8MB/s   00:04
[dcosadmin@dcotest01 ~]$
  1. Setup SSH key from 172.16.110.30 to 34, 35, 36, and 37 and change /etc/sudoers repeat below commands to all 4 nodes
[dcosadmin@dcotest02 ~]$ ssh 172.16.110.33
The authenticity of host '172.16.110.33 (172.16.110.33)' can't be established.
ECDSA key fingerprint is dc:75:bb:70:96:f7:76:45:0f:13:6b:92:37:3b:f5:3e.
Are you sure you want to continue connecting (yes/no)? yes
Warning: Permanently added '172.16.110.33' (ECDSA) to the list of known hosts.
dcosadmin@172.16.110.33's password:
Last login: Mon Apr 24 17:04:32 2017 from flcad03032.flair.local
[dcosadmin@dcotest05 ~]$ sudo vi /etc/sudoers
[sudo] password for dcosadmin:
[dcosadmin@dcotest05 ~]$ sudo vi /etc/sudoers
[dcosadmin@dcotest05 ~]$ sudo vi /etc/ssh/sshd_config
[dcosadmin@dcotest05 ~]$ sudo vi /etc/ntp.conf
[dcosadmin@dcotest05 ~]$ ssh-keygen
Generating public/private rsa key pair.
Enter file in which to save the key (/home/dcosadmin/.ssh/id_rsa): ^C
[dcosadmin@dcotest05 ~]$ ssh-keygen -t rsa
Generating public/private rsa key pair.
Enter file in which to save the key (/home/dcosadmin/.ssh/id_rsa):
Created directory '/home/dcosadmin/.ssh'.
Enter passphrase (empty for no passphrase):
Enter same passphrase again:
Your identification has been saved in /home/dcosadmin/.ssh/id_rsa.
Your public key has been saved in /home/dcosadmin/.ssh/id_rsa.pub.
The key fingerprint is:
0b:f2:3f:93:9e:de:0a:e6:46:04:ff:fa:8c:f3:40:54 dcosadmin@dcotest05.test.flairpackaging.com
The key's randomart image is:
+--[ RSA 2048]----+
|        E        |
|    .  .         |
|     o.          |
|     .o          |
|    ..o.S        |
|     +....       |
|     .=...       |
|     o+*+o       |
|     .o*X+.      |
+-----------------+
[dcosadmin@dcotest05 ~]$ exit
logout
Connection to 172.16.110.33 closed.
[dcosadmin@dcotest05 ~]$ service ntpd restart
Redirecting to /bin/systemctl restart  ntpd.service
==== AUTHENTICATING FOR org.freedesktop.systemd1.manage-units ===
Authentication is required to manage system services or units.
Authenticating as: dcosadmin
Password:
==== AUTHENTICATION COMPLETE ===
[dcosadmin@dcotest05 ~]$ service sshd restart
Redirecting to /bin/systemctl restart  sshd.service
==== AUTHENTICATING FOR org.freedesktop.systemd1.manage-units ===
Authentication is required to manage system services or units.
Authenticating as: dcosadmin
Password:
==== AUTHENTICATION COMPLETE ===
[dcosadmin@dcotest05 ~]$

Copying keys

[dcosadmin@dcotest01 ~]$ ssh-copy-id 172.16.110.33
/usr/bin/ssh-copy-id: INFO: attempting to log in with the new key(s), to filter out any that are already installed
/usr/bin/ssh-copy-id: INFO: 1 key(s) remain to be installed -- if you are prompted now it is to install the new keys
dcosadmin@172.16.110.33's password:

Number of key(s) added: 1

Now try logging into the machine, with:   "ssh '172.16.110.33'"
and check to make sure that only the key(s) you wanted were added.

[dcosadmin@dcotest01 ~]$ ssh-copy-id 172.16.110.34
/usr/bin/ssh-copy-id: INFO: attempting to log in with the new key(s), to filter out any that are already installed
/usr/bin/ssh-copy-id: INFO: 1 key(s) remain to be installed -- if you are prompted now it is to install the new keys
dcosadmin@172.16.110.34's password:

Number of key(s) added: 1

Now try logging into the machine, with:   "ssh '172.16.110.34'"
and check to make sure that only the key(s) you wanted were added.

[dcosadmin@dcotest01 ~]$ ssh-copy-id 172.16.110.35
/usr/bin/ssh-copy-id: INFO: attempting to log in with the new key(s), to filter out any that are already installed
/usr/bin/ssh-copy-id: INFO: 1 key(s) remain to be installed -- if you are prompted now it is to install the new keys
dcosadmin@172.16.110.35's password:

Number of key(s) added: 1

Now try logging into the machine, with:   "ssh '172.16.110.35'"
and check to make sure that only the key(s) you wanted were added.

[dcosadmin@dcotest02 ~]$ ssh-copy-id 172.16.110.36
/usr/bin/ssh-copy-id: INFO: attempting to log in with the new key(s), to filter out any that are already installed
/usr/bin/ssh-copy-id: INFO: 1 key(s) remain to be installed -- if you are prompted now it is to install the new keys
dcosadmin@172.16.110.36's password:

Number of key(s) added: 1

Now try logging into the machine, with:   "ssh '172.16.110.36'"
and check to make sure that only the key(s) you wanted were added.

[dcosadmin@dcotest02 ~]$
  1. Install prerequirements and run preflight
sudo vi ~/genconf/config.yaml ## add node slave IP

sudo ./dcos_generate_config.sh --install-prereqs

sudo ./dcos_generate_config.sh --preflight #Ignore any errors from existing node

Result from the above script

[dcosadmin@dcotest01 ~]$ sudo ./dcos_generate_config.sh --install-prereqs
====> EXECUTING INSTALL PREREQUISITES
====> START install_prereqs
====> STAGE install_prereqs
====> STAGE install_prereqs
====> STAGE install_prereqs
====> STAGE install_prereqs
====> OUTPUT FOR install_prereqs
====> 172.16.110.30:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.30 echo INSTALL PREREQUISITES
     STDERR:
     STDOUT:
====> 172.16.110.30:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.30
#/bin/sh
# setenforce is in this path
PATH=$PATH:/sbin

dist=$(cat /etc/os-release | sed -n 's@^ID="\(.*\)"$@\1@p')

if ([ x$dist == 'xcoreos' ]); then
  echo "Detected CoreOS. All prerequisites already installed" >&2
  exit 0
fi

if ([ x$dist != 'xrhel' ] && [ x$dist != 'xcentos' ]); then
  echo "$dist is not supported. Only RHEL and CentOS are supported" >&2
  exit 0
fi

version=$(cat /etc/*-release | sed -n 's@^VERSION_ID="\([0-9]*\)\([0-9\.]*\)"$@@p')
if [ $version -lt 7 ]; then
  echo "$version is not supported. Only >= 7 version is supported" >&2
  exit 0
fi

if [ -f /opt/dcos-prereqs.installed ]; then
  echo "install_prereqs has been already executed on this host, exiting..."
  exit 0
fi

sudo setenforce 0 && sudo sed -i --follow-symlinks 's/^SELINUX=.*/SELINUX=disabled/g' /etc/sysconfig/selinux

sudo tee /etc/yum.repos.d/docker.repo <<-'EOF'
[dockerrepo]
name=Docker Repository
baseurl=https://yum.dockerproject.org/repo/main/centos/7
enabled=1
gpgcheck=1
gpgkey=https://yum.dockerproject.org/gpg
EOF

sudo yum -y update --exclude="docker-engine*"

sudo mkdir -p /etc/systemd/system/docker.service.d
sudo tee /etc/systemd/system/docker.service.d/override.conf <<- EOF
[Service]
Restart=always
StartLimitInterval=0
RestartSec=15
ExecStartPre=-/sbin/ip link del docker0
ExecStart=
ExecStart=/usr/bin/dockerd --storage-driver=overlay
EOF

sudo yum install -y docker-engine-1.13.1 docker-engine-selinux-1.13.1
sudo systemctl start docker
sudo systemctl enable docker

sudo yum install -y wget
sudo yum install -y git
sudo yum install -y unzip
sudo yum install -y curl
sudo yum install -y xz
sudo yum install -y ipset

sudo getent group nogroup || sudo groupadd nogroup
sudo touch /opt/dcos-prereqs.installed

     STDERR:
     STDOUT:
====> 172.16.110.31:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.31 echo INSTALL PREREQUISITES
     STDERR:
     STDOUT:
====> 172.16.110.31:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.31
#/bin/sh
# setenforce is in this path
PATH=$PATH:/sbin

dist=$(cat /etc/os-release | sed -n 's@^ID="\(.*\)"$@\1@p')

if ([ x$dist == 'xcoreos' ]); then
  echo "Detected CoreOS. All prerequisites already installed" >&2
  exit 0
fi

if ([ x$dist != 'xrhel' ] && [ x$dist != 'xcentos' ]); then
  echo "$dist is not supported. Only RHEL and CentOS are supported" >&2
  exit 0
fi

version=$(cat /etc/*-release | sed -n 's@^VERSION_ID="\([0-9]*\)\([0-9\.]*\)"$@@p')
if [ $version -lt 7 ]; then
  echo "$version is not supported. Only >= 7 version is supported" >&2
  exit 0
fi

if [ -f /opt/dcos-prereqs.installed ]; then
  echo "install_prereqs has been already executed on this host, exiting..."
  exit 0
fi

sudo setenforce 0 && sudo sed -i --follow-symlinks 's/^SELINUX=.*/SELINUX=disabled/g' /etc/sysconfig/selinux

sudo tee /etc/yum.repos.d/docker.repo <<-'EOF'
[dockerrepo]
name=Docker Repository
baseurl=https://yum.dockerproject.org/repo/main/centos/7
enabled=1
gpgcheck=1
gpgkey=https://yum.dockerproject.org/gpg
EOF

sudo yum -y update --exclude="docker-engine*"

sudo mkdir -p /etc/systemd/system/docker.service.d
sudo tee /etc/systemd/system/docker.service.d/override.conf <<- EOF
[Service]
Restart=always
StartLimitInterval=0
RestartSec=15
ExecStartPre=-/sbin/ip link del docker0
ExecStart=
ExecStart=/usr/bin/dockerd --storage-driver=overlay
EOF

sudo yum install -y docker-engine-1.13.1 docker-engine-selinux-1.13.1
sudo systemctl start docker
sudo systemctl enable docker

sudo yum install -y wget
sudo yum install -y git
sudo yum install -y unzip
sudo yum install -y curl
sudo yum install -y xz
sudo yum install -y ipset

sudo getent group nogroup || sudo groupadd nogroup
sudo touch /opt/dcos-prereqs.installed

     STDERR:
     STDOUT:
====> 172.16.110.32:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.32 echo INSTALL PREREQUISITES
     STDERR:
     STDOUT:
====> 172.16.110.32:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.32
#/bin/sh
# setenforce is in this path
PATH=$PATH:/sbin

dist=$(cat /etc/os-release | sed -n 's@^ID="\(.*\)"$@\1@p')

if ([ x$dist == 'xcoreos' ]); then
  echo "Detected CoreOS. All prerequisites already installed" >&2
  exit 0
fi

if ([ x$dist != 'xrhel' ] && [ x$dist != 'xcentos' ]); then
  echo "$dist is not supported. Only RHEL and CentOS are supported" >&2
  exit 0
fi

version=$(cat /etc/*-release | sed -n 's@^VERSION_ID="\([0-9]*\)\([0-9\.]*\)"$@@p')
if [ $version -lt 7 ]; then
  echo "$version is not supported. Only >= 7 version is supported" >&2
  exit 0
fi

if [ -f /opt/dcos-prereqs.installed ]; then
  echo "install_prereqs has been already executed on this host, exiting..."
  exit 0
fi

sudo setenforce 0 && sudo sed -i --follow-symlinks 's/^SELINUX=.*/SELINUX=disabled/g' /etc/sysconfig/selinux

sudo tee /etc/yum.repos.d/docker.repo <<-'EOF'
[dockerrepo]
name=Docker Repository
baseurl=https://yum.dockerproject.org/repo/main/centos/7
enabled=1
gpgcheck=1
gpgkey=https://yum.dockerproject.org/gpg
EOF

sudo yum -y update --exclude="docker-engine*"

sudo mkdir -p /etc/systemd/system/docker.service.d
sudo tee /etc/systemd/system/docker.service.d/override.conf <<- EOF
[Service]
Restart=always
StartLimitInterval=0
RestartSec=15
ExecStartPre=-/sbin/ip link del docker0
ExecStart=
ExecStart=/usr/bin/dockerd --storage-driver=overlay
EOF

sudo yum install -y docker-engine-1.13.1 docker-engine-selinux-1.13.1
sudo systemctl start docker
sudo systemctl enable docker

sudo yum install -y wget
sudo yum install -y git
sudo yum install -y unzip
sudo yum install -y curl
sudo yum install -y xz
sudo yum install -y ipset

sudo getent group nogroup || sudo groupadd nogroup
sudo touch /opt/dcos-prereqs.installed

     STDERR:
     STDOUT:
====> 172.16.110.34:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.34 echo INSTALL PREREQUISITES
     STDERR:
     STDOUT:
====> 172.16.110.34:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.34
#/bin/sh
# setenforce is in this path
PATH=$PATH:/sbin

dist=$(cat /etc/os-release | sed -n 's@^ID="\(.*\)"$@\1@p')

if ([ x$dist == 'xcoreos' ]); then
  echo "Detected CoreOS. All prerequisites already installed" >&2
  exit 0
fi

if ([ x$dist != 'xrhel' ] && [ x$dist != 'xcentos' ]); then
  echo "$dist is not supported. Only RHEL and CentOS are supported" >&2
  exit 0
fi

version=$(cat /etc/*-release | sed -n 's@^VERSION_ID="\([0-9]*\)\([0-9\.]*\)"$@@p')
if [ $version -lt 7 ]; then
  echo "$version is not supported. Only >= 7 version is supported" >&2
  exit 0
fi

if [ -f /opt/dcos-prereqs.installed ]; then
  echo "install_prereqs has been already executed on this host, exiting..."
  exit 0
fi

sudo setenforce 0 && sudo sed -i --follow-symlinks 's/^SELINUX=.*/SELINUX=disabled/g' /etc/sysconfig/selinux

sudo tee /etc/yum.repos.d/docker.repo <<-'EOF'
[dockerrepo]
name=Docker Repository
baseurl=https://yum.dockerproject.org/repo/main/centos/7
enabled=1
gpgcheck=1
gpgkey=https://yum.dockerproject.org/gpg
EOF

sudo yum -y update --exclude="docker-engine*"

sudo mkdir -p /etc/systemd/system/docker.service.d
sudo tee /etc/systemd/system/docker.service.d/override.conf <<- EOF
[Service]
Restart=always
StartLimitInterval=0
RestartSec=15
ExecStartPre=-/sbin/ip link del docker0
ExecStart=
ExecStart=/usr/bin/dockerd --storage-driver=overlay
EOF

sudo yum install -y docker-engine-1.13.1 docker-engine-selinux-1.13.1
sudo systemctl start docker
sudo systemctl enable docker

sudo yum install -y wget
sudo yum install -y git
sudo yum install -y unzip
sudo yum install -y curl
sudo yum install -y xz
sudo yum install -y ipset

sudo getent group nogroup || sudo groupadd nogroup
sudo touch /opt/dcos-prereqs.installed

     STDERR:
     STDOUT:
====> ACTION install_prereqs COMPLETE
====> SUMMARY FOR install_prereqs
4 out of 4 hosts successfully completed install_prereqs stage.
====> END OF SUMMARY FOR install_prereqs
[dcosadmin@dcotest01 ~]$ sudo ./dcos_generate_config.sh --preflight
====> EXECUTING_PREFLIGHT
====> START run_preflight
====> STAGE preflight
====> STAGE preflight
====> STAGE preflight
====> STAGE preflight_cleanup
====> STAGE preflight_cleanup
====> STAGE preflight_cleanup
====> STAGE preflight
====> STAGE preflight_cleanup
====> OUTPUT FOR run_preflight
====> 172.16.110.31:22 FAILED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.31 sudo bash /opt/dcos_install_tmp/dcos_install.sh --preflight-only master
     STDERR:
          Connection to 172.16.110.31 closed.
     STDOUT:
          Running preflight checks
          Checking if DC/OS is already installed: FAIL (Currently installed)

          Found an existing DC/OS installation. To reinstall DC/OS on this this machine you must
          first uninstall DC/OS then run dcos_install.sh. To uninstall DC/OS, follow the product
          documentation provided with DC/OS.

====> 172.16.110.32:22 FAILED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.32 sudo bash /opt/dcos_install_tmp/dcos_install.sh --preflight-only master
     STDERR:
          Connection to 172.16.110.32 closed.
     STDOUT:
          Running preflight checks
          Checking if DC/OS is already installed: FAIL (Currently installed)

          Found an existing DC/OS installation. To reinstall DC/OS on this this machine you must
          first uninstall DC/OS then run dcos_install.sh. To uninstall DC/OS, follow the product
          documentation provided with DC/OS.

====> 172.16.110.30:22 FAILED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.30 sudo bash /opt/dcos_install_tmp/dcos_install.sh --preflight-only master
     STDERR:
          Connection to 172.16.110.30 closed.
     STDOUT:
          Running preflight checks
          Checking if DC/OS is already installed: FAIL (Currently installed)

          Found an existing DC/OS installation. To reinstall DC/OS on this this machine you must
          first uninstall DC/OS then run dcos_install.sh. To uninstall DC/OS, follow the product
          documentation provided with DC/OS.

====> 172.16.110.31:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.31 sudo mkdir -p /opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.31:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.31 sudo chown dcosadmin /opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.31:22 PASSED
     TASK:
/usr/bin/scp -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -P22 -i genconf/ssh_key genconf/serve/dcos_install.sh dcosadmin@172.16.110.31:/opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.31:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.31 sudo rm -rf /opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.32:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.32 sudo mkdir -p /opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.32:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.32 sudo chown dcosadmin /opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.32:22 PASSED
     TASK:
/usr/bin/scp -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -P22 -i genconf/ssh_key genconf/serve/dcos_install.sh dcosadmin@172.16.110.32:/opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.32:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.32 sudo rm -rf /opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.34:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.34 sudo mkdir -p /opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.34:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.34 sudo chown dcosadmin /opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.34:22 PASSED
     TASK:
/usr/bin/scp -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -P22 -i genconf/ssh_key genconf/serve/dcos_install.sh dcosadmin@172.16.110.34:/opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.34:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.34 sudo bash /opt/dcos_install_tmp/dcos_install.sh --preflight-only master
     STDERR:
     STDOUT:
====> 172.16.110.34:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.34 sudo rm -rf /opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.30:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.30 sudo mkdir -p /opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.30:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.30 sudo chown dcosadmin /opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.30:22 PASSED
     TASK:
/usr/bin/scp -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -P22 -i genconf/ssh_key genconf/serve/dcos_install.sh dcosadmin@172.16.110.30:/opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.30:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.30 sudo rm -rf /opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> ACTION run_preflight COMPLETE
====> SUMMARY FOR run_preflight
1 out of 4 hosts successfully completed run_preflight stage.
The following hosts had failures detected during run_preflight stage:
     172.16.110.31:22 failures detected.
     172.16.110.32:22 failures detected.
     172.16.110.30:22 failures detected.
====> END OF SUMMARY FOR run_preflight
  1. Adding Node

Install DC/OS agent nodes

Copy the archived DC/OS installer file (dcos-install.tar) to the agent node. This archive is created during the GUI or CLI installation method.

1.Copy the files to your agent node. For example, you can use Secure Copy (scp) to copy dcos-install.tar to your home directory: scp ~/dcos-install.tar $username@$node-ip:~/dcos-install.tar

2.SSH to the machine: ssh $USER@$AGENT

3.Create a directory for the installer files: sudo mkdir -p /opt/dcos_install_tmp

4.Unpackage the dcos-install.tar file: sudo tar xf dcos-install.tar -C /opt/dcos_install_tmp

5.Run this command to install DC/OS on your agent nodes. You must designate your agent nodes as public or private.

Private agent nodes: sudo bash /opt/dcos_install_tmp/dcos_install.sh slave

Public agent nodes: sudo bash /opt/dcos_install_tmp/dcos_install.sh slave_public

Important After running installation, you must update detect_ip file with the script which used during initial implementation. In my case the script for me is

#!/bin/sh
# Example ip-detect script using an external authority
# Uses the GCE Metadata Service to get the node's internal
# ipv4 address

set -o nounset -o errexit
export PATH=/usr/sbin:/usr/bin:$PATH
echo $(ip addr show ens160 | grep -Eo '[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}' | head -1)

Otherwise, it will take forever to finish intallation and at the end, there will be error. After updating this script with working version, installation is completed within a min.

[dcosadmin@dcotest06 ~]$ sudo mkdir -p /opt/dcos_install_tmp
[dcosadmin@dcotest06 ~]$
[dcosadmin@dcotest06 ~]$ sudo tar xf dcos-install.tar -C /opt/dcos_install_tmp
[dcosadmin@dcotest06 ~]$ sudo bash /opt/dcos_install_tmp/dcos_install.sh slave
Starting DC/OS Install Process
Running preflight checks
Checking if DC/OS is already installed: PASS (Not installed)
PASS Is SELinux disabled?
Checking if docker is installed and in PATH: PASS
Checking docker version requirement (>= 1.6): PASS (1.13.1)
Checking if curl is installed and in PATH: PASS
Checking if bash is installed and in PATH: PASS
Checking if ping is installed and in PATH: PASS
Checking if tar is installed and in PATH: PASS
Checking if xz is installed and in PATH: PASS
Checking if unzip is installed and in PATH: PASS
Checking if ipset is installed and in PATH: PASS
Checking if systemd-notify is installed and in PATH: PASS
Checking if systemd is installed and in PATH: PASS
Checking systemd version requirement (>= 200): PASS (219)
Checking if group 'nogroup' exists: PASS
Checking if port 53 (required by spartan) is in use: PASS
Checking if port 5051 (required by mesos-agent) is in use: PASS
Checking if port 34451 (required by navstar) is in use: PASS
Checking if port 39851 (required by spartan) is in use: PASS
Checking if port 43995 (required by minuteman) is in use: PASS
Checking if port 61001 (required by agent-adminrouter) is in use: PASS
Checking if port 61420 (required by epmd) is in use: PASS
Checking if port 61421 (required by minuteman) is in use: PASS
Checking if port 62053 (required by spartan) is in use: PASS
Checking if port 62080 (required by navstar) is in use: PASS
Checking Docker is configured with a production storage driver: WARNING: bridge-nf-call-iptables is disabled
WARNING: bridge-nf-call-ip6tables is disabled
PASS (overlay)
Creating directories under /etc/mesosphere
Creating role file for slave
Configuring DC/OS
Setting and starting DC/OS
Created symlink from /etc/systemd/system/multi-user.target.wants/dcos-setup.service to /etc/systemd/system/dcos-setup.service.
[dcosadmin@dcotest06 ~]$ exit

Cluster permissions (advanced installer)

On each of your cluster nodes, use the following command to: •Disable SELinux or set it to permissive mode. •Add nogroup to each of your Mesos masters and agents.

•Reboot your cluster for the changes to take affect

sudo sed -i s/SELINUX=enforcing/SELINUX=permissive/g /etc/selinux/config && sudo groupadd nogroup && sudo reboot

Tip: It may take a few minutes for your node to come back online after reboot

Update detect_ip script

Update the script used from initial installation.

[dcosadmin@dcotest03 ~]$ cat /opt/mesosphere/bin/detect_ip
#!/usr/bin/env bash
set -o nounset -o errexit
export PATH=/usr/sbin:/usr/bin:$PATH
echo $(ip addr show ens160 | grep -Eo '[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}' | head -1)
[dcosadmin@dcotest03 ~]$

Running Postflight script

Go to boostrap node and add new agent to genconf/config.yaml

To check the status, run the following command

sudo ./dcos_generate_config.sh

Result from the above command

[dcosadmin@dcotest01 genconf]$ sudo vi config.yaml
[dcosadmin@dcotest01 ~]$ cat genconf/config.yaml
---
agent_list:
- 172.16.110.31
- 172.16.110.32
- 172.16.110.33
bootstrap_url: file:///opt/dcos_install_tmp
cluster_name: DC/OS
exhibitor_storage_backend: static
ip_detect_path: genconf/ip-detect
master_discovery: static
master_list:
- 172.16.110.30
process_timeout: 10000
resolvers:
- 8.8.8.8
- 8.8.4.4
ssh_key_path: genconf/ssh_key
ssh_port: 22
ssh_user: dcosadmin
[dcosadmin@dcotest01 ~]$
[dcosadmin@dcotest01 genconf]$ cd
[dcosadmin@dcotest01 ~]$ sudo ./dcos_generate_config.sh --postfligh
====> EXECUTING POSTFLIGHT
====> START run_postflight
====> STAGE postflight
====> STAGE postflight
====> STAGE postflight
====> STAGE postflight_cleanup
====> STAGE postflight_cleanup
====> STAGE postflight_cleanup
====> STAGE postflight
====> STAGE postflight_cleanup
====> OUTPUT FOR run_postflight
====> 172.16.110.30:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.30 sudo mkdir -p /opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.30:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.30 sudo chown dcosadmin /opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.30:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.30
#!/usr/bin/env bash
# Run the DC/OS diagnostic script for up to 15 minutes (900 seconds) to ensure
# we do not return ERROR on a cluster that hasn't fully achieved quorum.
T=900
until OUT=$(sudo /opt/mesosphere/bin/./3dt -diag) || [[ T -eq 0 ]]; do
    sleep 1
    let T=T-1
done
RETCODE=$?
for value in $OUT; do
    echo $value
done
exit $RETCODE
     STDERR:
     STDOUT:
====> 172.16.110.30:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.30 sudo rm -rf /opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.30:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.30 sudo rm -rf /opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.30:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.30 sudo rm -f /opt/dcos-prereqs.installed
     STDERR:
     STDOUT:
====> 172.16.110.31:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.31 sudo mkdir -p /opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.31:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.31 sudo chown dcosadmin /opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.31:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.31
#!/usr/bin/env bash
# Run the DC/OS diagnostic script for up to 15 minutes (900 seconds) to ensure
# we do not return ERROR on a cluster that hasn't fully achieved quorum.
T=900
until OUT=$(sudo /opt/mesosphere/bin/./3dt -diag) || [[ T -eq 0 ]]; do
    sleep 1
    let T=T-1
done
RETCODE=$?
for value in $OUT; do
    echo $value
done
exit $RETCODE
     STDERR:
     STDOUT:
====> 172.16.110.31:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.31 sudo rm -rf /opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.31:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.31 sudo rm -rf /opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.31:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.31 sudo rm -f /opt/dcos-prereqs.installed
     STDERR:
     STDOUT:
====> 172.16.110.32:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.32 sudo mkdir -p /opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.32:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.32 sudo chown dcosadmin /opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.32:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.32
#!/usr/bin/env bash
# Run the DC/OS diagnostic script for up to 15 minutes (900 seconds) to ensure
# we do not return ERROR on a cluster that hasn't fully achieved quorum.
T=900
until OUT=$(sudo /opt/mesosphere/bin/./3dt -diag) || [[ T -eq 0 ]]; do
    sleep 1
    let T=T-1
done
RETCODE=$?
for value in $OUT; do
    echo $value
done
exit $RETCODE
     STDERR:
     STDOUT:
====> 172.16.110.32:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.32 sudo rm -rf /opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.32:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.32 sudo rm -rf /opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.32:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.32 sudo rm -f /opt/dcos-prereqs.installed
     STDERR:
     STDOUT:
====> 172.16.110.33:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.33 sudo mkdir -p /opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.33:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.33 sudo chown dcosadmin /opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.33:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.33
#!/usr/bin/env bash
# Run the DC/OS diagnostic script for up to 15 minutes (900 seconds) to ensure
# we do not return ERROR on a cluster that hasn't fully achieved quorum.
T=900
until OUT=$(sudo /opt/mesosphere/bin/./3dt -diag) || [[ T -eq 0 ]]; do
    sleep 1
    let T=T-1
done
RETCODE=$?
for value in $OUT; do
    echo $value
done
exit $RETCODE
     STDERR:
     STDOUT:
====> 172.16.110.33:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.33 sudo rm -rf /opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.33:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.33 sudo rm -rf /opt/dcos_install_tmp
     STDERR:
     STDOUT:
====> 172.16.110.33:22 PASSED
     TASK:
/usr/bin/ssh -oConnectTimeout=10 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -oBatchMode=yes -oPasswordAuthentication=no -p22 -i genconf/ssh_key -tt dcosadmin@172.16.110.33 sudo rm -f /opt/dcos-prereqs.installed
     STDERR:
     STDOUT:
====> ACTION run_postflight COMPLETE
====> SUMMARY FOR run_postflight
4 out of 4 hosts successfully completed run_postflight stage.
====> END OF SUMMARY FOR run_postflight
[dcosadmin@dcotest01 ~]$

Summary

Just looked at the "Adding Agent" section from the document and that doesn't work very well because of missing steps. I wish this could help users who want to play with DC/OS

Comments

Popular posts from this blog

Export folder structure to file on Windows, Mac, and Linux

Adding SOAP Header generated by JAXB(wsimport)

Sample application for Active Directory SSO with Spring Security 4 and Waffle